module tmp_spml_module

  use w_base_mpi_module, only : &
    & xv_w
  use w_deriv_mpi_module, only : &
    & xv_GradLambda_w, &
    & xv_GradMu_w
  use wa_base_mpi_module, only : &
    & xva_wa
  use wa_deriv_mpi_module, only : &
    & xva_GradLambda_wa, &
    & xva_GradMu_wa, &
    & xva_GradLat_wa

  implicit none

  private

  public xv_w
  public xv_GradLambda_w
  public xv_GradMu_w

  public xva_wa
  public xva_GradLambda_wa
  public xva_GradMu_wa
  public xva_GradLat_wa

end module tmp_spml_module
